#!/bin/bash
#
# Copyright 2011 YeoWorks (http://www.yeoworks.cz.cc)
# Перевод и адаптацию скрипта выполнил Zegi для http://tuksik.ru
#

solutions=$(zenity  --title "YeoWorks Ubuntu Solutions v1.2" --window-icon="ywus.png" --width="480" --height="285" --list --text "©2011 YeoWorks, <a href='http://www.yeoworks.cz.cc'>http://www.yeoworks.cz.cc</a>\n\nАдаптация под русскую версию сделана на <a href='http://tuksik.ru'>http://tuksik.ru</a>\n\nЧто Вы хотите сделать?" --radiolist  --column "Выбор" --column "Описание" FALSE "Обновить ppa" FALSE "Установить Ubuntu Restricted Extras, Ubuntu Tweak, and Compiz Advanced" FALSE "Gnome 3: Установить" FALSE "Gnome 3: Стандартная тема" FALSE "Gnome 3: Tweaking Tool" FALSE "Gnome 3: Удалить" FALSE "Исправить проблемы с Firefox 64-Bit Flash" FALSE "Выберите если не работают закладки и история в firefox" FALSE "Открыть Nautilus (С правами администратора)" FALSE "Configuration Editor" FALSE "Сменить Gnome desktop на Compiz" FALSE "Сменить Gnome desktop на Metacity" FALSE "Конвентировать 32-Bit DEB в 64-Bit DEB" FALSE "Зафиксировать классический Gnome" FALSE "Переустановить Ubuntu Desktop (С перезагрузкой системы)" FALSE "Изменить User Password" FALSE "Изменить Root Password" FALSE "Добавить нового пользователя" FALSE "Очистка системы" FALSE "Остановить GDM" FALSE "No Graphical Login" FALSE "Error: gnconf-sanity-check-2 exited with status 256" FALSE "Exit"); echo $solutions

if [ $? -eq 1 ] ; then
exit 1
fi 

case $solutions in

"Обновить ppa") (
gnome-terminal -t 'Обновить ppa' -x bash -c "sudo apt-get update"
);;
"Установить Ubuntu Restricted Extras, Ubuntu Tweak, and Compiz Advanced") (
gnome-terminal -t 'Установить Ubuntu Restricted Extras, Ubuntu Tweak, and Compiz Pack' -x bash -c "sudo apt-get install ubuntu-restricted-extras ; sudo add-apt-repository ppa:tualatrix/ppa ; sudo apt-get update ; sudo apt-get install ubuntu-tweak ; sudo apt-get install compiz ; sudo apt-get install compizconfig-settings-manager ; sudo apt-get install compiz-plugins-extras"
);;
"Gnome 3: Установить") (
gnome-terminal -t 'Gnome 3: Установить' -x bash -c "sudo add-apt-repository ppa:gnome3-team/gnome3; sudo apt-get update ; sudo apt-get dist-upgrade ; sudo apt-get install gnome-shell ;"
);;
"Gnome 3: Стандартная тема") (
gnome-terminal -t 'Gnome 3: Стандартная тема' -x bash -c "sudo apt-get remove gnome-accessibility-themes; sudo apt-get install gnome-themes-standard ;"
);;
"Gnome 3: Tweaking Tool") (
gnome-terminal -t 'Gnome 3: Tweaking Tool' -x bash -c "sudo apt-get install gnome-tweak-tool"
);;
"Gnome 3: Удалить") (
gnome-terminal -t 'Gnome 3: Удалить' -x bash -c "sudo apt-get install ppa-purge; sudo ppa-purge ppa:gnome3-team/gnome3 ;"
);;
"Исправить проблемы с Firefox 64-Bit Flash") (
gnome-terminal -t 'Исправить проблемы с Firefox 64-Bit Flash' -x bash -c "sudo apt-get purge flashplugin-nonfree flashplugin-installer gnash ; gnash-common mozilla-plugin-gnash swfdec-mozilla ; sudo rm -f /usr/lib/firefox-addons/plugins/libflashplayer.so ; sudo rm -f /usr/lib/mozilla/plugins/libflashplayer.so ; sudo rm -f /usr/lib/mozilla/plugins/flashplugin-alternative.so ; sudo rm -f /usr/lib/mozilla/plugins/npwrapper*flash*so ; rm -f ~/.mozilla/plugins/*flash*so ; sudo add-apt-repository ppa:sevenmachines/flash ; sudo apt-get update ; sudo apt-get install flashplugin64-installer ; sudo apt-get install --reinstall flashplugin64-installer ;"
);;
"Выберите если не работают закладки и история в firefox") (
gnome-terminal -t 'Выберите если не работают закладки и история в firefox' -x bash -c "echo 'Какое у вас имя пользователя?' ; read usn ; sudo chown -R \$usn:\$usn /home/\$usn ;"
);;
"Открыть Nautilus (С правами администратора)") (
gnome-terminal -t 'Открыть Nautilus (С правами администратора)' -x bash -c "sudo nautilus"
);;
"Configuration Editor") (
gconf-editor
);;
"Сменить Gnome desktop на Compiz") (
compiz --replace &
);;
"Сменить Gnome desktop на Metacity") (
metacity --replace &
);;
"Конвентировать 32-Bit DEB в 64-Bit DEB") (
gnome-terminal -t 'Конвентировать 32-Bit DEB в 64-Bit DEB' -x bash -c "echo 'Переместите DEB файл на рабочий стол и напишите его имя' ; cd ~/'Рабочий стол' ; read debn ; mkdir yw64tmp ; dpkg-deb -x \$debn yw64tmp ; dpkg-deb -x \$debn yw64tmp ; dpkg-deb --control \$debn yw64tmp/DEBIAN ; sed -i 's/i386/all/' yw64tmp/DEBIAN/control ; dpkg -b yw64tmp 64_\$debn ; rm -rf yw64tmp/* ; rmdir yw64tmp ;"
);;
"Зафиксировать классический Gnome") (
gnome-terminal -t 'Зафиксировать классический Gnome' -e 'sudo apt-get install gnome'
);;
"Переустановить Ubuntu Desktop (С перезагрузкой системы)") (
gnome-terminal -t 'Переустановить Ubuntu Desktop (С перезагрузкой системы)' -e 'sudo apt-get install --reinstall ubuntu-desktop' -e sudo reboot
);;
"Изменить User Password") (
gnome-terminal -t 'Изменить User Password' -x bash -c "echo 'Какому пользователю вы хотите сменить пароль?' ; read pswu ; passwd \$pswu ;"
);;
"Изменить Root Password") (
gnome-terminal -t 'Изменить Root Password' -e 'sudo passwd root'
);;
"Добавить нового пользователя") (
gnome-terminal -t 'Добавить нового пользователя' -x bash -c "echo 'What will be the username?' ; read newu ; sudo adduser \$newu ;"
);;
"Очистка системы") (
gnome-terminal -t 'Очистка системы' -e 'df -h' -e 'sudo du -h /var' -e 'sudo apt-get clean' -e 'df -h'
);;
"Остановить GDM") (
gnome-terminal -t 'Остановить CDM' -e 'sudo /etc/init.d/gdm stop' -e 'startx'
);;
"No Graphical Login") (
gnome-terminal -t 'No Graphical Login' -e 'sudo rm ~/.ICEauthority' -e 'sudo rm ~/.Xauthority'
);;
"Error: gnconf-sanity-check-2 exited with status 256") (
gnome-terminal -t 'Error: gnconf-sanity-check-2 exited with status 256' -e 'chmod 777 /tmp'
);;
"Exit") exit;;
esac
